Subject: [alpine-aports] [PATCH] main/dzen: Enable Xinerama and XPM

From: Olivier Mauras <[email-masked]>
Date: Wed, 25 Mar 2015 01:23:53 +0200

From 70904ed06fad3c44abb28c2f998320e73db4ca02 Mon Sep 17 00:00:00 2001
 From: Olivier Mauras <[email-masked]>
Date: Wed, 25 Mar 2015 00:18:18 +0100
Subject: main/dzen: Enable Xinerama and XPM

diff --git a/main/dzen/0001-Enable-Xinerama-and-XPM.patch 
b/main/dzen/0001-Enable-Xinerama-and-XPM.patch
new file mode 100644
index 0000000..2c8e80f
--- /dev/null
+++ b/main/dzen/0001-Enable-Xinerama-and-XPM.patch
@@ -0,0 +1,38 @@
+From 7567726279137c6af5c62a52a1fa32d4a7c2b56e Mon Sep 17 00:00:00 2001
+From: Olivier Mauras <[email-masked]>
+Date: Tue, 24 Mar 2015 14:30:32 +0100
+Subject: [PATCH] Enable Xinerama and XPM
+
+---
+ config.mk | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/config.mk b/config.mk
+index 311f785..0cd233e 100644
+--- a/config.mk
++++ b/config.mk
+@@ -39,8 +39,8 @@ INCS = -I. -I/usr/include -I${X11INC}
+
+
+ ## Option 5: With XFT
+-LIBS = -L/usr/lib -lc -L${X11LIB} -lX11 `pkg-config --libs xft`
+-CFLAGS = -Wall -Os ${INCS} -DVERSION=\"${VERSION}\" -DDZEN_XFT 
`pkg-config --cflags xft`
++#LIBS = -L/usr/lib -lc -L${X11LIB} -lX11 `pkg-config --libs xft`
++#CFLAGS = -Wall -Os ${INCS} -DVERSION=\"${VERSION}\" -DDZEN_XFT 
`pkg-config --cflags xft`
+
+
+ ## Option 6: With XPM and XFT
+@@ -54,8 +54,8 @@ CFLAGS = -Wall -Os ${INCS} -DVERSION=\"${VERSION}\" 
-DDZEN_XFT `pkg-config --cfl
+
+
+ ## Option 8: With Xinerama and XPM and XFT
+-#LIBS = -L/usr/lib -lc -L${X11LIB} -lX11 -lXinerama -lXpm `pkg-config 
--libs xft`
+-#CFLAGS = -Wall -Os ${INCS} -DVERSION=\"${VERSION}\" -DDZEN_XINERAMA 
-DDZEN_XPM -DDZEN_XFT `pkg-config --cflags xft`
++LIBS = -L/usr/lib -lc -L${X11LIB} -lX11 -lXinerama -lXpm `pkg-config 
--libs xft`
++CFLAGS = -Wall -Os ${INCS} -DVERSION=\"${VERSION}\" -DDZEN_XINERAMA 
-DDZEN_XPM -DDZEN_XFT `pkg-config --cflags xft`
+
+
+
+--
+2.3.3
+
diff --git a/main/dzen/APKBUILD b/main/dzen/APKBUILD
index 16772e5..7d280fd 100644
--- a/main/dzen/APKBUILD
+++ b/main/dzen/APKBUILD
@@ -2,21 +2,30 @@
  pkgname=dzen
  _pkgver=488ab66
  pkgver=0.9.5
-pkgrel=0
+pkgrel=1
  pkgdesc="A general purpose messaging, notification and menuing program 
for X11"
  url="https://github.com/robm/dzen"
  arch="all"
  license="MIT"
  depends=""
  depends_dev=""
-makedepends="libx11-dev libxft-dev"
+makedepends="libx11-dev libxft-dev libxinerama-dev libxpm-dev"
  options=""
  install=""
  subpackages="$pkgname-gadgets"
-source="$pkgname-$pkgver.tar.gz::$url/tarball/$_pkgver"
+source="$pkgname-$pkgver.tar.gz::$url/tarball/$_pkgver 
0001-Enable-Xinerama-and-XPM.patch"

  _builddir="$srcdir"/robm-$pkgname-$_pkgver

+prepare() {
+	cd "$_builddir"
+        for i in $source; do
+                case $i in
+                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 
1;;
+                esac
+        done
+}
+
  build() {
  	cd "$_builddir"
  	make || return 1
@@ -35,6 +44,9 @@ gadgets() {
  	make PREFIX=/usr DESTDIR="$subpkgdir" install
  }

-md5sums="dbc2c84321a070201da0de47463692f9  dzen-0.9.5.tar.gz"
-sha256sums="d4f7943cd39dc23fd825eb684b49dc3484860fa8443d30b06ee38af72a53b556 
  dzen-0.9.5.tar.gz"
-sha512sums="239acfcacbc871ded5755ee0d5cca3185fcd93142bcf81552974f2ffc19d9f5ebdc02956108931f58b35c68ac57ec6e748bdb9cdbf7791ec6e224ef270bda300 
  dzen-0.9.5.tar.gz"
+md5sums="dbc2c84321a070201da0de47463692f9  dzen-0.9.5.tar.gz
+823d3aab9cc1c2211e6ee9271ee9993a  0001-Enable-Xinerama-and-XPM.patch"
+sha256sums="d4f7943cd39dc23fd825eb684b49dc3484860fa8443d30b06ee38af72a53b556 
  dzen-0.9.5.tar.gz
+b2a98a7fd3b59ef3c40c032670d82d771d738d2f1ae22830421033c56ef819fe  
0001-Enable-Xinerama-and-XPM.patch"
+sha512sums="239acfcacbc871ded5755ee0d5cca3185fcd93142bcf81552974f2ffc19d9f5ebdc02956108931f58b35c68ac57ec6e748bdb9cdbf7791ec6e224ef270bda300 
  dzen-0.9.5.tar.gz
+06cf3474926e7f2d612e36a96e10673a2d261a9a1dd9fec8c2382f1ceb9f1d203232980d73910723cd050d6d25c14ef2fae81b6413a58056a183fec1936cd73a 
  0001-Enable-Xinerama-and-XPM.patch"
-- 
cgit v0.10.1
---
Direct link to the patch if needed: 
http://git.mauras.ch/aports/patch/?id=70904ed06fad3c44abb28c2f998320e73db4ca02

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Mon, 30 Mar 2015 16:33:04 +0200

On Wed, 25 Mar 2015 01:23:53 +0200

> Subject: main/dzen: Enable Xinerama and XPM

applied. thanks!

-nc

---